/**
 *
 * @author Sebastian Widelak (c) 2013
 */
(function (window, undefined) {
    /**
     *
     * @type {function}
     */
    window.ContentsElementView = View.extend(function ContentsElementView(opts) {
        View.prototype.constructor.call(this, opts);
        this.addListener('rendered', this.onRender);
    });

    /**
     *
     * @param el
     */
    ContentsElementView.prototype.onRender = function () {
        var me = this,
            parent = ViewManager.get(me.get('config').parent.getAttribute('yamvc-id'));
        me._el.addEventListener('click', function () {
            me.setActive();
            parent.hide();
        });
    };
    /**
     *
     * @param e
     */
    ContentsElementView.prototype.setActive = function () {
        var me = this,
            contents = me.get('config').parent.querySelectorAll('.active-contents');
        for (var i = 0, len = contents.length; i < len; i++) {
            contents.item(i).className = contents.item(i).className.replace(" active-contents", "");
        }
        me.get('el').className += " active-contents";
    }


}(window));