loadData('slides', {
    background: {
        color: '',
        image: ''
    },
    items: [
        {
            type: 'intro',
            txt: "Prezentacja multimedialna",
            title: "<span style='text-transform: uppercase;'>Techniki zarządzania sobą w czasie</span>",
            audiodesc: 'Prezentacja multimedialna składająca się&nbsp;z&nbsp;ośmiu slajdów, zawiera menu nawigacyjne. Na każdym slajdzie znajdują się&nbsp;strzałki nawigacyjne, po&nbsp;lewej i&nbsp;prawej stronie oraz&nbsp;na&nbsp;górze, pośrodku strony, zakładka menu, pozwalająca stwierdzić, który kolejny slajd jest wyświetlany i&nbsp;przejść do&nbsp;dowolnie wybranego slajdu w&nbsp;prezentacji.',
            audiodesc2: 'W tle znajdują się schematycznie zaznaczone, kolorowe postacie wykonujące ćwiczenia gimnastyczne, między innymi na drążku. Na środku duży, szary baner z tytułem prezentacji multimedialnej: Nie możesz zatrzymać żadnego dnia, ale możesz go nie stracić – zasady zarządzania czasem, poniżej tytułu, na granatowym tle, napis start, którego kliknięcie rozpoczyna prezentację.'
        },
        {
            type: 'slide',
            audiodesc: 'Treść: Rola sporządzania listy rzeczy do&nbsp;zrobienia.',
            items: [
                {
                    type: 'image',
                    alt: 'Na środku slajdu widzimy kartkę z&nbsp;listą spraw do&nbsp;załatwienia. Pod ilustracją informacja: Lista ABC. Ta metoda przydaje się, gdy masz dużo rzeczy do&nbsp;zrobienia. Spisz je wszystkie na&nbsp;kartce. Zastanów się, czy na&nbsp;wszystkie wystarczy ci czasu. Jeśli nie, to&nbsp;wykreśl zadania, których niewykonanie nie pociągnie za&nbsp;sobą nieprzyjemnych konsekwencji. Teraz masz przed sobą listę rzeczy, które powinieneś zrobić. Obok każdego zadania zapisz literkę, która wskazuje jak ono jest ważne: A –&nbsp;bardzo ważne, B –&nbsp;dość ważne, C –&nbsp;mało ważne. ' +
                        'Następnie zacznij wykonywać te czynności, zaczynając od&nbsp;tych z&nbsp;literą A, a&nbsp;kończąc na&nbsp;tych z&nbsp;literą C. Nawet, jeśli braknie ci czasu na&nbsp;wykonanie wszystkich zadań, to&nbsp;możesz być spokojny, bo udało ci się&nbsp;skończyć najważniejsze.',
                    src: 'assets/img/slides/S_IV_1.1_6.6/p20_s2.png',
                    style: 'style="text-align: center; max-width: 850px; margin: 0 auto;"' //left,right,center
                },
                {
                    type: 'title', // title,image,content,
                    text: 'Lista ABC',
                    style: 'style="font-size: 48px; text-align:center;"'
                },
                {
                    type: 'content',
                    style: 'style="font-size: 30px"',
                    html: 'Ta metoda przydaje się, gdy masz dużo rzeczy do&nbsp;zrobienia. Spisz je wszystkie na&nbsp;kartce. ' +
                        'Zastanów się, czy na&nbsp;wszystkie wystarczy ci czasu. Jeśli nie, to&nbsp;wykreśl zadania, których niewykonanie nie pociągnie za&nbsp;sobą nieprzyjemnych konsekwencji. ' +
                        'Teraz masz przed sobą listę rzeczy, które powinieneś zrobić. ' +
                        'Obok każdego zadania zapisz literkę, która wskazuje jak ono jest ważne: A –&nbsp;bardzo ważne, B –&nbsp;dość ważne, C –&nbsp;mało ważne. <br>' +
                        'Następnie zacznij wykonywać te czynności, zaczynając od&nbsp;tych z&nbsp;literą A, a&nbsp;kończąc na&nbsp;tych z&nbsp;literą C. ' +
                        'Nawet, jeśli braknie ci czasu na&nbsp;wykonanie wszystkich zadań, to&nbsp;możesz być spokojny, bo udało ci się&nbsp;skończyć najważniejsze.'
                }
            ]
        },
        {
            type: 'slide',
            audiodesc: 'Treść: Skupianie się&nbsp;tylko na&nbsp;jednej czynność.',
            items: [
                {
                    type: 'image',
                    alt: 'Na slajdzie widzimy trzy obrazki. W&nbsp;środku, na&nbsp;pierwszym planie talerz z&nbsp;zupą, obok niego sztućce, po&nbsp;lewej, nieostry, monitor komputera, po&nbsp;prawej, nieostry, telewizor. Pod ilustracją widnieje informacja: „Pomodoro” czyli konsolidacja czasu lub&nbsp;jak jesz –&nbsp;to jedz. Chodzi w&nbsp;niej o&nbsp;to, aby w&nbsp;danym momencie skupić się&nbsp;tylko na&nbsp;jednej czynności i&nbsp;wykonać ją do&nbsp;końca. Nie pozwalaj na&nbsp;to, by coś cię rozpraszało i&nbsp;odrywało twoją uwagę od&nbsp;tego, co&nbsp;robisz w&nbsp;danej chwili. Jeśli np. jesz, to&nbsp;wyłącz telewizor i&nbsp;odejdź od&nbsp;komputera, jeżeli pracujesz przy komputerze, to&nbsp;sprzątnij biurko i&nbsp;wyłącz muzykę… Przy wykonywaniu wielu rzeczy na&nbsp;raz, zwykle zajmie ci to&nbsp;więcej czasu, niż gdybyś wykonywał je osobno. Zrób wszystko, aby na&nbsp;jedno zadanie poświęcić jak najdłuższy blok czasu. Nie pozwól się&nbsp;ciągle odrywać, przerywać sobie, odwracać uwagę od&nbsp;tematu. Zamiast mieć rozkład dnia poszarpany na&nbsp;przeróżne zadania, poukładaj je w&nbsp;jak najbardziej zwarte odcinki. Istnieje jednak odstępstwo od&nbsp;tej zasady –&nbsp;możesz wykonywać dwie czynności naraz, jeśli nie wymagają one dużej koncentracji, np. bieganie i&nbsp;słuchanie muzyki.',
                    src: 'assets/img/slides/S_IV_1.1_6.6/p20_s3.png',
                    style: 'style="text-align: center;"' //left,right,center
                },
                {
                    type: 'title', // title,image,content,
                    text: '„Pomodoro” czyli konsolidacja czasu lub&nbsp;jak jesz &nbsp;&nbsp;&nbsp; -&nbsp;to jedz',
                    style: 'style="font-size: 48px; text-align:center;"'
                },
                {
                    type: 'content',
                    style: 'style="font-size: 30px"',
                    html: 'Chodzi w&nbsp;niej o&nbsp;to, aby w&nbsp;danym momencie skupić się&nbsp;tylko na&nbsp;jednej czynności i&nbsp;wykonać ją do&nbsp;końca. ' +
                        'Nie pozwalaj na&nbsp;to, by coś Cię rozpraszało i&nbsp;odrywało Twoją uwagę od&nbsp;tego, co&nbsp;robisz w&nbsp;danej chwili. ' +
                        'Jeśli np. jesz, to&nbsp;wyłącz telewizor i&nbsp;odejdź od&nbsp;komputera, jeżeli pracujesz przy komputerze, to&nbsp;sprzątnij biurko i&nbsp;wyłącz muzykę… ' +
                        'Przy wykonywaniu wielu rzeczy na&nbsp;raz, zwykle zajmie Ci to&nbsp;więcej czasu, niż gdybyś wykonywał je osobno. ' +
                        'Zrób wszystko, aby na&nbsp;jedno zadanie poświęcić jak najdłuższy blok czasu. ' +
                        'Nie pozwól się&nbsp;ciągle odrywać, przerywać sobie, odwracać uwagę od&nbsp;tematu. ' +
                        'Zamiast mieć rozkład dnia poszarpany na&nbsp;przeróżne zadania, poukładaj je w&nbsp;jak najbardziej zwarte odcinki.<br>' +
                        'Istnieje jednak odstępstwo od&nbsp;tej zasady –&nbsp;możesz wykonywać dwie czynności naraz jeśli nie wymagają one dużej koncentracji, np. bieganie i&nbsp;słuchanie muzyki.'
                }
            ]
        },
        {
            type: 'slide',
            audiodesc: 'Treść : Konkretyzowanie celów.',
            items: [
                {
                    type: 'image',
                    alt: 'Na slajdzie widzimy twarz chłopca, od&nbsp;której w&nbsp;jedną i&nbsp;w drugą stroną odchodzą strzałki, na&nbsp;nich pozaznaczane czerwonymi chorągiewkami punkty, obok każdego z&nbsp;punktów obrazek, kolejno po&nbsp;prawej stronie: koszulka, komputer, telewizor, chorągiewka w&nbsp;biało-czarną kratkę oznaczająca metę. Po lewej, chorągiewka oznaczająca metę. Pod ilustracją informacja: Jedno pytanie. To jedna z&nbsp;najprostszych, a&nbsp;jednocześnie jedna z&nbsp;najskuteczniejszych metod. Gdy wykonujesz jakieś zadanie, zadawaj sobie raz na&nbsp;jakiś czas pytanie: Czy to, co&nbsp;robię w&nbsp;danej chwili przybliża mnie do&nbsp;tego, co&nbsp;naprawdę chcę osiągnąć? Jeśli odpowiedź będzie przecząca, zastanów się, dlaczego tak jest. Jeśli akurat odpoczywasz, to&nbsp;dobrze, w&nbsp;końcu jesteśmy tylko ludźmi i&nbsp;potrzebujemy odpoczynku. Jeżeli jednak okaże się, że&nbsp;specjalnie wynajdujesz sobie zadania, tylko po&nbsp;to&nbsp;by nie robić czegoś, co&nbsp;ważne, zajrzyj do&nbsp;listy ABC i&nbsp;sprawdź, co&nbsp;powinieneś robić w&nbsp;danej chwili i&nbsp;zacznij to&nbsp;robić.',
                    src: 'assets/img/slides/S_IV_1.1_6.6/p20_s4.png',
                    style: 'style="text-align: center; max-width: 1200px; margin: 0 auto;"' //left,right,center
                },
                {
                    type: 'title', // title,image,content,
                    text: 'Jedno pytanie',
                    style: 'style="font-size: 48px; text-align:center;"'
                },
                {
                    type: 'content',
                    style: 'style="font-size: 36px"',
                    html: 'To jedna z&nbsp;najprostszych, a&nbsp;jednocześnie jedna z&nbsp;najskuteczniejszych metod. ' +
                        'Gdy wykonujesz jakieś zadanie, zadawaj sobie raz na&nbsp;jakiś czas pytanie: ' +
                        'Czy to, co&nbsp;robię w&nbsp;danej chwili przybliża mnie do&nbsp;tego co&nbsp;naprawdę chcę osiągnąć? ' +
                        'Jeśli odpowiedź będzie przecząca, zastanów się, dlaczego tak jest. ' +
                        'Jeśli akurat odpoczywasz, to&nbsp;dobrze, w&nbsp;końcu jesteśmy tylko ludźmi i&nbsp;potrzebujemy odpoczynku. ' +
                        'Jeżeli jednak okaże się, że&nbsp;specjalnie wynajdujesz sobie zadania, tylko po&nbsp;to&nbsp;by nie robić czegoś, ' +
                        'co ważne, zajrzyj do&nbsp;listy ABC i&nbsp;sprawdź, co&nbsp;powinieneś robić w&nbsp;danej chwili i&nbsp;zacznij to&nbsp;robić.'
                }
            ]
        },

        {
            type: 'slide',
            audiodesc: 'Treść :Podział wielkich zadań na&nbsp;mniejsze.',
            items: [
                {
                    type: 'image',
                    alt: 'Na slajdzie widzimy słonia, na&nbsp;którym narysowane są kreski dzielące go&nbsp;na&nbsp;mniejsze części. Pod ilustracją napis: Jak zjeść słonia? Po kawałku. Poniżej informacja: Stosuj ją wtedy, kiedy masz do&nbsp;wykonania naprawdę duże zadanie. Czasami bywa ono tak duże, że&nbsp;przerażeni tym nie mamy ochoty za&nbsp;nie się&nbsp;zabrać. Co wtedy zrobić? Podzielić je na&nbsp;mniejsze zadania.',
                    src: 'assets/img/slides/S_IV_1.1_6.6/p20_s5.png',
                    style: 'style="text-align: center;"'
                },
                {
                    type: 'title', // title,image,content,
                    text: 'Jak zjeść słonia? Po kawałku',
                    style: 'style="font-size: 48px; text-align:center;"'
                },
                {
                    type: 'content',
                    style: 'style="font-size: 36px"',
                    html: 'Stosuj ją wtedy, kiedy masz do&nbsp;wykonania naprawdę duże zadanie. ' +
                        'Czasami bywa ono tak duże, ' +
                        'że przerażeni tym nie mamy ochoty za&nbsp;nie się&nbsp;zabrać.' +
                        'Co wtedy zrobić? Podzielić je na&nbsp;mniejsze zadania.'
                }
            ]
        },

        {
            type: 'slide',
            audiodesc: 'Treść: Wyznaczanie krótszych terminów wykonania zadań.',
            items: [
                {
                    type: 'image',
                    alt: 'Grafika przedstawiająca centymetrową podziałkę, na&nbsp;której zaznaczone są: na&nbsp;zielono; krótki odcinek zakończony chorągiewką symbolizującą metę; na&nbsp;czerwono, dłuższy odcinek, zakończony taką samą chorągiewką, po&nbsp;lewej stronie telefon komórkowy. Pod ilustracją napis: Prawo Parkinsona. Poniżej informacja: „Praca rozszerza się&nbsp;wprost proporcjonalnie do&nbsp;czasu wyznaczonego do&nbsp;jej wykonania", które sprowadza się&nbsp;do tezy: Wyznaczaj krótsze terminy. Nie odwlekaj! Planuj, czyli twórz listę zadań i&nbsp;ustalaj krótki termin ich wykonania. Prawdopodobnie posiadasz telefon komórkowy z&nbsp;kalendarzem –&nbsp;możesz go&nbsp;wykorzystać do&nbsp;planowania.',
                    src: 'assets/img/slides/S_IV_1.1_6.6/p20_s6.png',
                    style: 'style="text-align: center;"'
                },
                {
                    type: 'title', // title,image,content,
                    text: 'Prawo Parkinsona',
                    style: 'style="font-size: 48px; text-align:center;"'
                },
                {
                    type: 'content',
                    style: 'style="font-size: 36px"',
                    html: '„Praca rozszerza się&nbsp;wprost proporcjonalnie do&nbsp;czasu wyznaczonego do&nbsp;jej wykonania", ' +
                        'które sprowadza się&nbsp;do tezy: Wyznaczaj krótsze terminy. Nie odwlekaj! Planuj, czyli twórz listę zadań i&nbsp;ustalaj krótki termin ich wykonania. ' +
                        'Prawdopodobnie posiadasz telefon komórkowy z&nbsp;kalendarzem -&nbsp;możesz go&nbsp;wykorzystać do&nbsp;planowania.'
                }
            ]
        },

        {
            type: 'slide',
            audiodesc: 'Treść: Zasada dwóch minut.',
            items: [
                {
                    type: 'image',
                    alt: 'Grafika przedstawiająca dwie listy czynności, od&nbsp;jednej do&nbsp;drugiej przebiega strzałka. Pod ilustracją napis: Zasada 2 minut. Poniżej informacja: \n' +
                        'Jeśli czynność, jaką należy wykonać, nie zajmie ci więcej niż 2 minuty, powinieneś to&nbsp;natychmiast wykonać.',
                    src: 'assets/img/slides/S_IV_1.1_6.6/p20_s7.png',
                    style: 'style="text-align: center;"'
                },
                {
                    type: 'title', // title,image,content,
                    text: 'Zasada 2 minut',
                    style: 'style="font-size: 48px; text-align:center;"'
                },
                {
                    type: 'content',
                    style: 'style="font-size: 36px"',
                    html: 'Jeśli czynność, jaką należy wykonać, nie zajmie Ci więcej niż 2 minuty, powinieneś to&nbsp;natychmiast wykonać.'
                }
            ]
        },
        {
            type: 'outro',
            audiodesc: 'W tle znajdują się schematycznie zaznaczone kolorowe postacie wykonujące ćwiczenia gimnastyczne. Tym razem grafika jest czarno-biała. Na środku duży, szary baner z napisem: Korzystając z technik zarządzania sobą zyskujesz czas wolny! Poniżej strzałka nawigacyjna pozwalająca na powrót do prezentacji.',
            txt: 'Korzystając z technik zarządzania sobą zyskujesz czas wolny!'
        }
    ]
});